CVE-2017-11331

NameCVE-2017-11331
DescriptionThe wav_open function in oggenc/audio.c in Xiph.Org vorbis-tools 1.4.0 allows remote attackers to cause a denial of service (memory allocation error) via a crafted wav file.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
vorbis-tools (PTS)jessie1.4.0-6+deb8u1vulnerable
stretch1.4.0-10vulnerable
buster, sid1.4.0-10.1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
vorbis-toolssource(unstable)(unfixed)unimportant

Notes

The issue is "covered" by the fix applied in 0016-oggenc-validate-count-of-channels-in-the-header-CVE-.patch
still the return of malloc is not checked.
http://seclists.org/fulldisclosure/2017/Jul/80
Crash in CLI tool only, negligible security impact

Search for package or bug name: Reporting problems